This is call fremove which forces player to remove all their eq... :)

/* Written by takeda (takeda@mathlab.sunysb.edu) */
void do_rem( CHAR_DATA *ch, char *argument )
{
    char arg1[MAX_INPUT_LENGTH];
        CHAR_DATA *victim;
    OBJ_DATA *obj_next;
     OBJ_DATA *obj;

         argument = one_argument( argument, arg1 );

 if ( arg1[0] == '\0' )
    {
        send_to_char( "Syntax: fremove <char>\n\r", ch );
        return;
    }

    if ( ( victim = get_char_world( ch, arg1 ) ) == NULL )
    {
        send_to_char( "That player is not here.\n\r", ch);
        return;
    }

   if ( victim->level > get_trust( ch) )
    {
        send_to_char( "Limited to your trust level.\n\r", ch );
        return;
    }

  for (obj = victim->carrying; obj; obj = obj_next)
    {
    obj_next = obj->next_content;

    if (obj->wear_loc != WEAR_NONE)
    remove_obj (victim, obj->wear_loc, TRUE);

    }
save_char_obj(victim);
    return;
}
